patches for DPDK stable branches
 help / color / mirror / Atom feed
* [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing
@ 2020-09-25 13:01 Kevin Traynor
  2020-09-25 13:01 ` [dpdk-stable] [PATCH 18.11 2/2] kni: fix build error on openSuse 15.2 - skb_frag_t to bio_vec Kevin Traynor
  2020-09-25 13:09 ` [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing Luca Boccassi
  0 siblings, 2 replies; 6+ messages in thread
From: Kevin Traynor @ 2020-09-25 13:01 UTC (permalink / raw)
  To: stable; +Cc: Abhishek.Marathe, bluca, Kevin Traynor

Similar to
commit 8c70f4af0f40 ("kni: fix ethtool build error on kernel 5.7")
openSUSE LEAP 15.2 also needs to use the new
pci_aer_clear_nonfatal_status() function instead of
pci_cleanup_aer_uncorrect_error_status().

Add macros for openSUSE 15.2 and extend compatibility.

Reported-by: Abhishek Marathe <Abhishek.Marathe@microsoft.com>
Signed-off-by: Kevin Traynor <ktraynor@redhat.com>
---
 kernel/linux/kni/compat.h              | 5 ++++-
 kernel/linux/kni/ethtool/igb/kcompat.h | 8 ++++++--
 2 files changed, 10 insertions(+), 3 deletions(-)

diff --git a/kernel/linux/kni/compat.h b/kernel/linux/kni/compat.h
index 3c3855dcfa..bf5e6e2b17 100644
--- a/kernel/linux/kni/compat.h
+++ b/kernel/linux/kni/compat.h
@@ -15,5 +15,8 @@
 #endif
 #ifdef CONFIG_SUSE_KERNEL
-#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 3, 18))
+/* SLES15 SP2 is 5.3.18 based */
+#define SLE_VERSION_CODE SLE_VERSION(15, 2, 0)
+#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
 /* SLES12SP3 is at least 4.4.57+ based */
 #define SLE_VERSION_CODE SLE_VERSION(12, 3, 0)
diff --git a/kernel/linux/kni/ethtool/igb/kcompat.h b/kernel/linux/kni/ethtool/igb/kcompat.h
index f74038b3eb..459fda3dad 100644
--- a/kernel/linux/kni/ethtool/igb/kcompat.h
+++ b/kernel/linux/kni/ethtool/igb/kcompat.h
@@ -685,5 +685,8 @@ struct _kc_ethtool_pauseparam {
 #endif
 #ifdef CONFIG_SUSE_KERNEL
-#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
+#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 3, 18))
+/* SLES15 SP2 is 5.3.18 based */
+#define SLE_VERSION_CODE SLE_VERSION(15, 2, 0)
+#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
 /* SLES12SP3 is at least 4.4.57+ based */
 #define SLE_VERSION_CODE SLE_VERSION(12, 3, 0)
@@ -3965,5 +3968,6 @@ skb_set_hash(struct sk_buff *skb, __u32 hash, __always_unused int type)
 #endif
 
-#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 7, 0))
+#if ((LINUX_VERSION_CODE >= KERNEL_VERSION(5, 7, 0)) \
+	|| (SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
 #define pci_cleanup_aer_uncorrect_error_status \
 	pci_aer_clear_nonfatal_status
-- 
2.26.2


^ permalink raw reply	[flat|nested] 6+ messages in thread

* [dpdk-stable] [PATCH 18.11 2/2] kni: fix build error on openSuse 15.2 - skb_frag_t to bio_vec
  2020-09-25 13:01 [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing Kevin Traynor
@ 2020-09-25 13:01 ` Kevin Traynor
  2020-09-25 13:09   ` Luca Boccassi
  2020-09-25 13:09 ` [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing Luca Boccassi
  1 sibling, 1 reply; 6+ messages in thread
From: Kevin Traynor @ 2020-09-25 13:01 UTC (permalink / raw)
  To: stable; +Cc: Abhishek.Marathe, bluca, Kevin Traynor

Similar to
commit bfeb0ca97244 ("kni: fix kernel 5.4 build - skb_frag_t to bio_vec")
openSUSE LEAP 15.2 also needs to use the bio_vec struct.

Extending compatibility for openSUSE 15.2.

Reported-by: Abhishek Marathe <Abhishek.Marathe@microsoft.com>
Signed-off-by: Kevin Traynor <ktraynor@redhat.com>
---
 kernel/linux/kni/ethtool/igb/igb_main.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/kernel/linux/kni/ethtool/igb/igb_main.c b/kernel/linux/kni/ethtool/igb/igb_main.c
index 5a07d007a2..a3cb5ad708 100644
--- a/kernel/linux/kni/ethtool/igb/igb_main.c
+++ b/kernel/linux/kni/ethtool/igb/igb_main.c
@@ -8261,5 +8261,6 @@ static void igb_pull_tail(struct igb_ring *rx_ring,
 		/* update pointers to remove timestamp header */
 		skb_frag_size_sub(frag, IGB_TS_HDR_LEN);
-#if LINUX_VERSION_CODE < KERNEL_VERSION(5,4,0)
+#if ((LINUX_VERSION_CODE < KERNEL_VERSION(5, 4, 0)) \
+	&& !(SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
 		frag->page_offset += IGB_TS_HDR_LEN;
 #else
@@ -8285,5 +8286,6 @@ static void igb_pull_tail(struct igb_ring *rx_ring,
 	/* update all of the pointers */
 	skb_frag_size_sub(frag, pull_len);
-#if LINUX_VERSION_CODE < KERNEL_VERSION(5,4,0)
+#if ((LINUX_VERSION_CODE < KERNEL_VERSION(5, 4, 0)) \
+	&& !(SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
 	frag->page_offset += pull_len;
 #else
-- 
2.26.2


^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] [PATCH 18.11 2/2] kni: fix build error on openSuse 15.2 - skb_frag_t to bio_vec
  2020-09-25 13:01 ` [dpdk-stable] [PATCH 18.11 2/2] kni: fix build error on openSuse 15.2 - skb_frag_t to bio_vec Kevin Traynor
@ 2020-09-25 13:09   ` Luca Boccassi
  2020-09-28  9:05     ` Kevin Traynor
  0 siblings, 1 reply; 6+ messages in thread
From: Luca Boccassi @ 2020-09-25 13:09 UTC (permalink / raw)
  To: Kevin Traynor, stable; +Cc: Abhishek.Marathe

On Fri, 2020-09-25 at 14:01 +0100, Kevin Traynor wrote:
> Similar to
> commit bfeb0ca97244 ("kni: fix kernel 5.4 build - skb_frag_t to bio_vec")
> openSUSE LEAP 15.2 also needs to use the bio_vec struct.
> 
> Extending compatibility for openSUSE 15.2.
> 
> Reported-by: Abhishek Marathe <Abhishek.Marathe@microsoft.com>
> Signed-off-by: Kevin Traynor <ktraynor@redhat.com>
> ---
>  kernel/linux/kni/ethtool/igb/igb_main.c | 6 ++++--
>  1 file changed, 4 insertions(+), 2 deletions(-)
> 
> diff --git a/kernel/linux/kni/ethtool/igb/igb_main.c b/kernel/linux/kni/ethtool/igb/igb_main.c
> index 5a07d007a2..a3cb5ad708 100644
> --- a/kernel/linux/kni/ethtool/igb/igb_main.c
> +++ b/kernel/linux/kni/ethtool/igb/igb_main.c
> @@ -8261,5 +8261,6 @@ static void igb_pull_tail(struct igb_ring *rx_ring,
>  		/* update pointers to remove timestamp header */
>  		skb_frag_size_sub(frag, IGB_TS_HDR_LEN);
> -#if LINUX_VERSION_CODE < KERNEL_VERSION(5,4,0)
> +#if ((LINUX_VERSION_CODE < KERNEL_VERSION(5, 4, 0)) \
> +	&& !(SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
>  		frag->page_offset += IGB_TS_HDR_LEN;
>  #else
> @@ -8285,5 +8286,6 @@ static void igb_pull_tail(struct igb_ring *rx_ring,
>  	/* update all of the pointers */
>  	skb_frag_size_sub(frag, pull_len);
> -#if LINUX_VERSION_CODE < KERNEL_VERSION(5,4,0)
> +#if ((LINUX_VERSION_CODE < KERNEL_VERSION(5, 4, 0)) \
> +	&& !(SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
>  	frag->page_offset += pull_len;
>  #else

Acked-by: Luca Boccassi <bluca@debian.org>

-- 
Kind regards,
Luca Boccassi

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing
  2020-09-25 13:01 [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing Kevin Traynor
  2020-09-25 13:01 ` [dpdk-stable] [PATCH 18.11 2/2] kni: fix build error on openSuse 15.2 - skb_frag_t to bio_vec Kevin Traynor
@ 2020-09-25 13:09 ` Luca Boccassi
  2020-09-28  9:05   ` Kevin Traynor
  1 sibling, 1 reply; 6+ messages in thread
From: Luca Boccassi @ 2020-09-25 13:09 UTC (permalink / raw)
  To: Kevin Traynor, stable; +Cc: Abhishek.Marathe

On Fri, 2020-09-25 at 14:01 +0100, Kevin Traynor wrote:
> Similar to
> commit 8c70f4af0f40 ("kni: fix ethtool build error on kernel 5.7")
> openSUSE LEAP 15.2 also needs to use the new
> pci_aer_clear_nonfatal_status() function instead of
> pci_cleanup_aer_uncorrect_error_status().
> 
> Add macros for openSUSE 15.2 and extend compatibility.
> 
> Reported-by: Abhishek Marathe <Abhishek.Marathe@microsoft.com>
> Signed-off-by: Kevin Traynor <ktraynor@redhat.com>
> ---
>  kernel/linux/kni/compat.h              | 5 ++++-
>  kernel/linux/kni/ethtool/igb/kcompat.h | 8 ++++++--
>  2 files changed, 10 insertions(+), 3 deletions(-)
> 
> diff --git a/kernel/linux/kni/compat.h b/kernel/linux/kni/compat.h
> index 3c3855dcfa..bf5e6e2b17 100644
> --- a/kernel/linux/kni/compat.h
> +++ b/kernel/linux/kni/compat.h
> @@ -15,5 +15,8 @@
>  #endif
>  #ifdef CONFIG_SUSE_KERNEL
> -#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
> +#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 3, 18))
> +/* SLES15 SP2 is 5.3.18 based */
> +#define SLE_VERSION_CODE SLE_VERSION(15, 2, 0)
> +#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
>  /* SLES12SP3 is at least 4.4.57+ based */
>  #define SLE_VERSION_CODE SLE_VERSION(12, 3, 0)
> diff --git a/kernel/linux/kni/ethtool/igb/kcompat.h b/kernel/linux/kni/ethtool/igb/kcompat.h
> index f74038b3eb..459fda3dad 100644
> --- a/kernel/linux/kni/ethtool/igb/kcompat.h
> +++ b/kernel/linux/kni/ethtool/igb/kcompat.h
> @@ -685,5 +685,8 @@ struct _kc_ethtool_pauseparam {
>  #endif
>  #ifdef CONFIG_SUSE_KERNEL
> -#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
> +#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 3, 18))
> +/* SLES15 SP2 is 5.3.18 based */
> +#define SLE_VERSION_CODE SLE_VERSION(15, 2, 0)
> +#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
>  /* SLES12SP3 is at least 4.4.57+ based */
>  #define SLE_VERSION_CODE SLE_VERSION(12, 3, 0)
> @@ -3965,5 +3968,6 @@ skb_set_hash(struct sk_buff *skb, __u32 hash, __always_unused int type)
>  #endif
>  
> -#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 7, 0))
> +#if ((LINUX_VERSION_CODE >= KERNEL_VERSION(5, 7, 0)) \
> +	|| (SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
>  #define pci_cleanup_aer_uncorrect_error_status \
>  	pci_aer_clear_nonfatal_status

Acked-by: Luca Boccassi <bluca@debian.org>

-- 
Kind regards,
Luca Boccassi

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing
  2020-09-25 13:09 ` [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing Luca Boccassi
@ 2020-09-28  9:05   ` Kevin Traynor
  0 siblings, 0 replies; 6+ messages in thread
From: Kevin Traynor @ 2020-09-28  9:05 UTC (permalink / raw)
  To: Luca Boccassi, stable; +Cc: Abhishek.Marathe

On 25/09/2020 14:09, Luca Boccassi wrote:
> On Fri, 2020-09-25 at 14:01 +0100, Kevin Traynor wrote:
>> Similar to
>> commit 8c70f4af0f40 ("kni: fix ethtool build error on kernel 5.7")
>> openSUSE LEAP 15.2 also needs to use the new
>> pci_aer_clear_nonfatal_status() function instead of
>> pci_cleanup_aer_uncorrect_error_status().
>>
>> Add macros for openSUSE 15.2 and extend compatibility.
>>
>> Reported-by: Abhishek Marathe <Abhishek.Marathe@microsoft.com>
>> Signed-off-by: Kevin Traynor <ktraynor@redhat.com>
>> ---
>>  kernel/linux/kni/compat.h              | 5 ++++-
>>  kernel/linux/kni/ethtool/igb/kcompat.h | 8 ++++++--
>>  2 files changed, 10 insertions(+), 3 deletions(-)
>>
>> diff --git a/kernel/linux/kni/compat.h b/kernel/linux/kni/compat.h
>> index 3c3855dcfa..bf5e6e2b17 100644
>> --- a/kernel/linux/kni/compat.h
>> +++ b/kernel/linux/kni/compat.h
>> @@ -15,5 +15,8 @@
>>  #endif
>>  #ifdef CONFIG_SUSE_KERNEL
>> -#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
>> +#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 3, 18))
>> +/* SLES15 SP2 is 5.3.18 based */
>> +#define SLE_VERSION_CODE SLE_VERSION(15, 2, 0)
>> +#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
>>  /* SLES12SP3 is at least 4.4.57+ based */
>>  #define SLE_VERSION_CODE SLE_VERSION(12, 3, 0)
>> diff --git a/kernel/linux/kni/ethtool/igb/kcompat.h b/kernel/linux/kni/ethtool/igb/kcompat.h
>> index f74038b3eb..459fda3dad 100644
>> --- a/kernel/linux/kni/ethtool/igb/kcompat.h
>> +++ b/kernel/linux/kni/ethtool/igb/kcompat.h
>> @@ -685,5 +685,8 @@ struct _kc_ethtool_pauseparam {
>>  #endif
>>  #ifdef CONFIG_SUSE_KERNEL
>> -#if (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
>> +#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 3, 18))
>> +/* SLES15 SP2 is 5.3.18 based */
>> +#define SLE_VERSION_CODE SLE_VERSION(15, 2, 0)
>> +#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(4, 4, 57))
>>  /* SLES12SP3 is at least 4.4.57+ based */
>>  #define SLE_VERSION_CODE SLE_VERSION(12, 3, 0)
>> @@ -3965,5 +3968,6 @@ skb_set_hash(struct sk_buff *skb, __u32 hash, __always_unused int type)
>>  #endif
>>  
>> -#if (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 7, 0))
>> +#if ((LINUX_VERSION_CODE >= KERNEL_VERSION(5, 7, 0)) \
>> +	|| (SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
>>  #define pci_cleanup_aer_uncorrect_error_status \
>>  	pci_aer_clear_nonfatal_status
> 
> Acked-by: Luca Boccassi <bluca@debian.org>
> 

Applied, thanks.


^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [dpdk-stable] [PATCH 18.11 2/2] kni: fix build error on openSuse 15.2 - skb_frag_t to bio_vec
  2020-09-25 13:09   ` Luca Boccassi
@ 2020-09-28  9:05     ` Kevin Traynor
  0 siblings, 0 replies; 6+ messages in thread
From: Kevin Traynor @ 2020-09-28  9:05 UTC (permalink / raw)
  To: Luca Boccassi, stable; +Cc: Abhishek.Marathe

On 25/09/2020 14:09, Luca Boccassi wrote:
> On Fri, 2020-09-25 at 14:01 +0100, Kevin Traynor wrote:
>> Similar to
>> commit bfeb0ca97244 ("kni: fix kernel 5.4 build - skb_frag_t to bio_vec")
>> openSUSE LEAP 15.2 also needs to use the bio_vec struct.
>>
>> Extending compatibility for openSUSE 15.2.
>>
>> Reported-by: Abhishek Marathe <Abhishek.Marathe@microsoft.com>
>> Signed-off-by: Kevin Traynor <ktraynor@redhat.com>
>> ---
>>  kernel/linux/kni/ethtool/igb/igb_main.c | 6 ++++--
>>  1 file changed, 4 insertions(+), 2 deletions(-)
>>
>> diff --git a/kernel/linux/kni/ethtool/igb/igb_main.c b/kernel/linux/kni/ethtool/igb/igb_main.c
>> index 5a07d007a2..a3cb5ad708 100644
>> --- a/kernel/linux/kni/ethtool/igb/igb_main.c
>> +++ b/kernel/linux/kni/ethtool/igb/igb_main.c
>> @@ -8261,5 +8261,6 @@ static void igb_pull_tail(struct igb_ring *rx_ring,
>>  		/* update pointers to remove timestamp header */
>>  		skb_frag_size_sub(frag, IGB_TS_HDR_LEN);
>> -#if LINUX_VERSION_CODE < KERNEL_VERSION(5,4,0)
>> +#if ((LINUX_VERSION_CODE < KERNEL_VERSION(5, 4, 0)) \
>> +	&& !(SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
>>  		frag->page_offset += IGB_TS_HDR_LEN;
>>  #else
>> @@ -8285,5 +8286,6 @@ static void igb_pull_tail(struct igb_ring *rx_ring,
>>  	/* update all of the pointers */
>>  	skb_frag_size_sub(frag, pull_len);
>> -#if LINUX_VERSION_CODE < KERNEL_VERSION(5,4,0)
>> +#if ((LINUX_VERSION_CODE < KERNEL_VERSION(5, 4, 0)) \
>> +	&& !(SLE_VERSION_CODE && SLE_VERSION_CODE >= SLE_VERSION(15, 2, 0)))
>>  	frag->page_offset += pull_len;
>>  #else
> 
> Acked-by: Luca Boccassi <bluca@debian.org>
> 

Applied, thanks.


^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2020-09-28  9:06 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-09-25 13:01 [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing Kevin Traynor
2020-09-25 13:01 ` [dpdk-stable] [PATCH 18.11 2/2] kni: fix build error on openSuse 15.2 - skb_frag_t to bio_vec Kevin Traynor
2020-09-25 13:09   ` Luca Boccassi
2020-09-28  9:05     ` Kevin Traynor
2020-09-25 13:09 ` [dpdk-stable] [PATCH 18.11 1/2] kni: fix build error on openSUSE 15.2 - pci clearing Luca Boccassi
2020-09-28  9:05   ` Kevin Traynor

patches for DPDK stable branches

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.dpdk.org/stable/0 stable/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 stable stable/ https://inbox.dpdk.org/stable \
		stable@dpdk.org
	public-inbox-index stable

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.stable


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git